博龙网 > 软件资讯  >  正文

详解CentOS升级Python2.6到Python2.7并安装pip

发布时间:2020-10-16 14:12:43 来源:博龙网

现在大多数Centos6.x版本的系统python都是2.x,现因开发需求需要安装前端代码的构建工具glue,故必须要做python版本的升级

升级python

系统默认安装的python是2.6.6的,我们需要升级到Python2.7

wget https://www.python.org/ftp/python/2.7.12/Python-2.7.12.tar.xz tar xf Python-2.7.12.tar.xzcd Python-2.7.12./configure enable-shared enable-loadable-sqlite-extensions with-zlib

其中enable-loadable-sqlite-extensions是sqlite扩展,如果需要使用的话则带上这个选项之后执行

vim ./Modules/Setup

找到

#zlib zlibmodule.c -I$(prefix)/include -L$(exec_prefix)/lib -lz,去掉前面的注释符"#",然后进行安装和编译make && make install

安装好Python2.7之后我们需要把Python2.6备份起来,然后在对yum的配置进行修改,如果不修改的话,执行yum命令将提示你的Python的版本不对

mv /usr/bin/python /usr/bin/python2.6.6ln -s /usr/local/bin/python2.7 /usr/bin/pythonvim /usr/bin/yum

将第一行的#!/usr/bin/python修改成#!/usr/bin/python2.6.6

现在执行yum命令就不会报错了

python -verror while loading shared libraries: libpython2.7.so.1.0: cannot open shared object file: No such file or directory

出现上面的错误,编辑配置文件

echo "/usr/bin/lib" >> /etc/ld.so.conf/sbin/ldconfig/sbin/ldconfig -v

pip安装

cd /usr/local/srcwget https://bootstrap.pypa.io/get-pip.pypython get-pip.pywhereis pip

找到pip2.7的路径,为其创建软连接作为系统默认的启动版本

ln -s /usr/local/bin/pip2.7 /usr/bin/pip

现在使用pip就能够安装各种包

pip install glue

以上就是本文的全部内容,希望对大家的学习有所帮助,也希望大家多多支持脚本之家。


刘潇 https://www.kugou.com/singer/724215.html
博龙网